Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing
Class JTabbedPane.ModelListener

    java.lang.Object
      javax.swing.JTabbedPane.ModelListener

All Implemented Interfaces:
  Serializable, EventListener, ChangeListener

Enclosing class:
  JTabbedPane

    protected class JTabbedPane.ModelListener

extends Object
implements ChangeListener, Serializable

We pass `ModelChanged` events along to the listeners with the tabbedpane (instead of the model itself) as the event source.

Constructor Summary
`protected` | `JTabbedPane.ModelListener()`

Method Summary
`void` | `stateChanged(ChangeEvent e)` Invoked when the target of the listener has changed its state.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JTabbedPane.ModelListener

    protected JTabbedPane.ModelListener()

Method Detail

### stateChanged

    public void stateChanged(ChangeEvent e)

  Description copied from interface: `ChangeListener`
  Invoked when the target of the listener has changed its state.

  Specified by:
    `stateChanged` in interface `ChangeListener`
  Parameters:
    `e` - a ChangeEvent object

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2004 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.